using firefox-globalmenu_14.0.1 crashes firefox

Bug #1029665 reported by LDZ on 2012-07-26
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

This issue started (July 17th 2012) I was doing some web browsing (with firefox v13 64bit-amd)and when using the HUD globalmenu on firefox (I pressed the alt button within firefox) and it immediately crashed. I expected it to allow me to search for firefox menu options. After finding the issue I looked over installed/updated packages and noticed firefox globalmenu was updated and decided to remove it and issue no longer came occurred. I have also tried upgrading to firefox and globalmenu version 14 and issue still happens. I tried to reinstall firefox globalmenu and issue reoccurred. I tried to remove firefox and globalmenu and THEN reinstall firefox and globalmenu still didn't work. I tried using Firefox v14 with globalmenu v11 and had the same issue (i understand that this is not recommended but wanted to test) I installed firefox 11 and firefox-globalmenu v 11 and it appears to be working as before. I kind wish I could find version 12 because that was the last version that was working.
I am using ubuntu 12.04 amd 64bit. Here is the output for apt-cache policy firefox globalmenu; lsb_release -a; uname -a

firefox-globalmenu:
  Installed: 14.0.1+build1-0ubuntu0.12.04.1
  Candidate: 14.0.1+build1-0ubuntu0.12.04.1
  Version table:
 *** 14.0.1+build1-0ubuntu0.12.04.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
        100 /var/lib/dpkg/status
     11.0+build1-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise
Linux faithful 3.2.0-27-generic #43-Ubuntu SMP Fri Jul 6 14:25:57 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Here is the output for apt-cache policy firefox;

firefox:
  Installed: 14.0.1+build1-0ubuntu0.12.04.1
  Candidate: 14.0.1+build1-0ubuntu0.12.04.1
  Version table:
 *** 14.0.1+build1-0ubuntu0.12.04.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
        100 /var/lib/dpkg/status
     11.0+build1-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

Also I noticed that 11.0+build1-0ubuntu4 0 is showing because I installed the package prior to creating the bug for more informed. So I had to purge 11.0 and then reinstall 14.0 in case you are wondering.

Here is a list of the other packages that I installed around the same time just in case there is some conflict issue.

Install:
linux-headers-3.2.0-26-generic:amd64 (3.2.0-26.41),
linux-headers-3.2.0-26:amd64 (3.2.0-26.41),
linux-image-3.2.0-26-generic:amd64 (3.2.0-26.41)
Upgrade:
linux-source-3.2.0:amd64 (3.2.0-24.39, 3.2.0-26.41),
linux-source:amd64 (3.2.0.24.26, 3.2.0.26.28),
linux-generic:amd64 (3.2.0.24.26, 3.2.0.26.28),
**firefox-globalmenu:amd64 (13.0+build1-0ubuntu0.12.04.1, 13.0.1+build1-0ubuntu0.12.04.1),
icedtea-6-jre-cacao:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
openjdk-6-jre-lib:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
openjdk-6-jre-headless:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
linux-image:amd64 (3.2.0.24.26, 3.2.0.26.28),
**firefox:amd64 (13.0+build1-0ubuntu0.12.04.1, 13.0.1+build1-0ubuntu0.12.04.1),
icedtea-6-jre-jamvm:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
linux-headers-generic:amd64 (3.2.0.24.26, 3.2.0.26.28),
linux-image-generic:amd64 (3.2.0.24.26, 3.2.0.26.28),
openjdk-6-jdk:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
openjdk-6-jre:amd64 (6b24-1.11.1-4ubuntu2, 6b24-1.11.3-1ubuntu0.12.04.1),
**firefox-gnome-support:amd64 (13.0+build1-0ubuntu0.12.04.1, 13.0.1+build1-0ubuntu0.12.04.1)

Since I noticed the issue the next day here are some packages that I upgraded the next day
Upgrade:
libv4l-0:amd64 (0.8.6-1ubuntu1, 0.8.6-1ubuntu2),
xserver-xorg-core:amd64 (1.11.4-0ubuntu10.2, 1.11.4-0ubuntu10.5),
xserver-common:amd64 (1.11.4-0ubuntu10.2, 1.11.4-0ubuntu10.5),
empathy-common:amd64 (3.4.1-0ubuntu1, 3.4.2.1-0ubuntu1),
empathy:amd64 (3.4.1-0ubuntu1, 3.4.2.1-0ubuntu1),
libv4lconvert0:amd64 (0.8.6-1ubuntu1, 0.8.6-1ubuntu2),
libxatracker1:amd64 (8.0.2-0ubuntu3, 8.0.2-0ubuntu3.1),
nautilus-sendto-empathy:amd64 (3.4.1-0ubuntu1, 3.4.2.1-0ubuntu1)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: firefox-globalmenu 14.0.1+build1-0ubuntu0.12.04.1
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21
Uname: Linux 3.2.0-27-generic x86_64
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lando 1595 F.... pulseaudio
BuildID: 20120713224749
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf9100000 irq 45'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,1458e601,00100001'
   Controls : 47
   Simple ctrls : 21
Channel: Unavailable
Date: Thu Jul 26 14:31:32 2012
ForcedLayersAccel: False
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
IpRoute:
 default via 192.168.1.1 dev eth0 proto static
 169.254.0.0/16 dev eth0 scope link metric 1000
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.101 metric 1
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MostRecentCrashID: bp-f36c3b27-790f-4435-b30e-aae032120724
PrefSources:
 prefs.js
 [Profile]/<email address hidden>/defaults/preferences/inspector.js
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=14.0.1/20120713224749 (In use)
RelatedPackageVersions:
 rhythmbox-mozilla 2.96-0ubuntu4
 totem-mozilla 3.0.1-0ubuntu21
RfKill:

RunningIncompatibleAddons: False
SourcePackage: firefox
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/12/2007
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F10
dmi.board.name: 965P-DS3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF10:bd01/12/2007:svnGigabyteTechnologyCo.,Ltd.:pn965P-DS3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rn965P-DS3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: 965P-DS3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

LDZ (linuxopenconnection) wrote :
LDZ (linuxopenconnection) wrote :

Here is the information that I get from firefox when the crash happens
Add-ons: {c45c406e-ab73-11d8-be73-000a95be3b12}:1.1.9,<email address hidden>:2.0.12,<email address hidden>:2.1.1,<email address hidden>:3.2.5,{972ce4c6-7e08-4474-a285-3208198ce6fd}:14.0.1,<email address hidden>:1.10.0
BuildID: 20120713224749
CrashTime: 1343339974
EMCheckCompatibility: true
Email: <email address hidden>
FramePoisonBase: 7ffffffff0dea000
FramePoisonSize: 4096
InstallTime: 1343091198
Notes: OpenGL: nouveau -- Gallium 0.4 on NV46 -- 2.1 Mesa 8.0.2 -- texture_from_pixmap

ProductID: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
ProductName: Firefox
ReleaseChannel: release
SecondsSinceLastCrash: 139677
StartupTime: 1343337911
Theme: classic/1.0
Throttleable: 1
URL: https://help.ubuntu.com/community/ReportingBugs
Vendor: Mozilla
Version: 14.0.1

This report also contains technical information about the state of the application when it crashed.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
To post a comment you must log in.